Results 1 to 11 of 11

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3G WILL NOT upgrade to 4.0

  1. #1
    Default 3G WILL NOT upgrade to 4.0
    I have never run into this and I am not brand new to Jailbreaking - have done so for a long time. Here is the scoop:

    iphone 3G
    Old bootrom
    pwn'd 3.12
    valdiated jailbreakable by f0recast
    iTunes 9.2.1
    Windows 7 Starter
    iReb V3.1.2

    I have put the 3g into DFU mode, Recovery mode and from Springboard to attempt to restore to my Sn0wbreeze .ipsw and i get 1600 or 1604 error always. iReb DOES NOT do anything at all (no white screen or crash) other than when I use the "get out of Recovery loop" mode. I have tried all the options to get rid of the 1600 and 1604 - deleted the "Software Update Folder" in iTunes, restarted the system yada yada yada. I get nothing but errors when I try to "shift restore" to the .ipsw. I would welcome any advice

  2. #2
    Livin the iPhone Life Bluemoldycheeze88's Avatar
    Join Date
    May 2010
    Location
    Ventura, California, United States
    Posts
    594
    Thanks
    33
    Thanked 27 Times in 26 Posts

    have you tried blakra1n?

  3. #3
    My iPhone is a Part of Me
    Join Date
    Aug 2008
    Location
    Sunny California
    Posts
    528
    Thanks
    25
    Thanked 105 Times in 91 Posts

    3G or 3GS? If it's a 3G, can you not just restore to stock firmware and use redsn0w?
    If I somehow helped you, press thanks

  4. #4
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    Quote Originally Posted by neodude237 View Post
    3G or 3GS? If it's a 3G, can you not just restore to stock firmware and use redsn0w?
    as of a few days ago Apple started using soft shsh verification for the 3G on iOS 4 and 4.0.1, so the only stock 4.x that can be installed is 4.0.1, why not try using google to find a 4.0 ipsw created with pwnagetool and see if that gets you past the 16xx errors

  5. #5
    My iPhone is a Part of Me
    Join Date
    Apr 2010
    Location
    N. Ireland
    Posts
    649
    Thanks
    10
    Thanked 81 Times in 75 Posts

    If it's a 3G I don't know why you quoted your bootrom.

    If it is a 3G you could upgrade to stock 4.0.1 and JB with redsn0w, just be sure you point it to a 4.0 IPSW and not a 4.0.1 as it doesn't recognise them, JB will still work.

  6. #6
    As far as I know Blackra1n doesn't work on 4.0

    Haven't tried that yet - was going down the path of using the Sn0wbreeze .ipsw

    I quoted the bootrom to avoid someone asking in a post - wanted to have all the information out there.
    Will try the 4.01 and redsn0w
    Last edited by normdepal; 2010-07-23 at 06:23 PM. Reason: Automerged Doublepost

  7. #7
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Technically a 3G doesnt have a "new" or "old" bootrom. It has bootloaders 5.08, 5.09, and 6.04 etc. Also, on a 3G like everybody else said, upgrade to 4.0.1 and jailbreak with redsn0w 0.9.5b5-5 and unlock with Ultrasn0w 0.93

    4.0 and 4.0.1 on a 3G work the same. Just hit the upgrade button instead of doing a shift+restore in iTunes. Make sure you have the 4.0 ipsw downloaded to use with redsn0w, redsn0w wont recognize the 4.0.1 ipsw.

  8. #8
    My iPhone is a Part of Me
    Join Date
    Aug 2008
    Location
    Sunny California
    Posts
    528
    Thanks
    25
    Thanked 105 Times in 91 Posts

    Quote Originally Posted by j3st3r3 View Post
    as of a few days ago Apple started using soft shsh verification for the 3G on iOS 4 and 4.0.1, so the only stock 4.x that can be installed is 4.0.1, why not try using google to find a 4.0 ipsw created with pwnagetool and see if that gets you past the 16xx errors
    I meant could he not just update to 4.0.1? Then use resn0w with the 4.0 ipsw?
    If I somehow helped you, press thanks

  9. #9
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Yes that would be the easiest route to take.

  10. #10
    I'm in the same boat. I have a 3G which was 3.1.2 JB + unlock, then I updated like a month ago to 4.0 also JB + unlock. Just a 2-3 days ago I was offered "make my life easyer" by Cydia which I did. Unfortunatly only available blob was 4.0.1.
    Yesterday I tried re-restoring my phone to 4.0 cause I've tried lots of different software and it got very slow and buggy. No go. Errors 30xx and 31xx. I kinda understand why.
    Now, after reading this thread I've came to conclusion that I can just DL new 4.0.1, DFU and shift+restore and then JB it with latest redsnow and then unlock with latest ultrasnow? Is it that simple?

  11. #11
    My iPhone is a Part of Me
    Join Date
    Aug 2008
    Location
    Sunny California
    Posts
    528
    Thanks
    25
    Thanked 105 Times in 91 Posts

    Sorry Annie I totally skipped over your first post :P, I figured that was the case.
    also, I am 99% sure you can, but make sure there isn't a baseband update which will ruin ultrasn0w.
    Last edited by neodude237; 2010-07-23 at 11:21 PM.
    If I somehow helped you, press thanks

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •